Bug 542518 - Review Request: usbview - USB topology and device viewer
Review Request: usbview - USB topology and device viewer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-29 20:42 EST by Itamar Reis Peixoto
Modified: 2010-01-07 16:53 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 16:50:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rhbugs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-11-29 20:42:16 EST
Spec URL: http://itamarjp.fedorapeople.org/usbview/usbview.spec
SRPM URL: http://itamarjp.fedorapeople.org/usbview/usbview-1.1-1.fc12.src.rpm
Description:
Display information about the topology of the devices connected to the USB bus
on a Linux machine. It also displays detailed information on the individual
devices.


usbview is written by Greg Kroah-Hartman <greg@kroah.com>


----

koji scratch build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=1836779
Comment 1 Hans Ulrich Niedermann 2009-12-11 14:11:37 EST
MUST:
 ok rpmlint clean
 ok name
 ok %{name}.spec
 ok packaging guidelines
 ok GPLv2 is ok
 ok License field
 ok COPYING in %doc
 ok spec in AmEnglish
 ok spec legible(*)
 ok 8bf5e66351156356f3ad07454123affa usbview-1.1.tar.gz
 ok compiles and builds http://koji.fedoraproject.org/koji/taskinfo?taskID=1870195
 NA no excludearch
 ok BuildReqs are OK, proven by koji build
 NA no locale stuff (broken PACKAGE_LOCALE_DIR definition is unused)
 NA no libs installed
 ok no system lib copies
 NA not relocatable
 ok dir ownerships
 ok files listed only once
 ok file perms
 ok %clean
 ok consistent RPM macro usage
 ok contains code
 NA no large doc files
 ok %doc files not required for runtime
 NA no header files
 NA no static libs
 NA no .pc files
 NA no lib files
 NA no devel subpackage
 NA no .la files
 FAIL GUI app package must include %{name].desktop file
 ok no owning other packages' stuff
 ok %install removes buildroot
 ok all filenames are valid utf8

SHOULD:
 NA license text included
 NA no non-English languages
 ok package builds in koji ergo mock
 ok koji scratch build says all arches build OK
 ok works for me (on F11)
 NA no scriptlets
 NA no subpackages
 NA no .pc files
 NA no special dependencies

(*) You could remove the commented out second "make ... install" line from usbview.spec.

Summary: NEEDSWORK

 mandatory change: Add a usbview.desktop file (if you need a package to model that after, my nted package has passed review with a Fedora specific .desktop file)

 optional, but recommended change: remove the commented out "make install" line
Comment 3 Hans Ulrich Niedermann 2009-12-11 17:04:02 EST
The only changes in usbview-1.1-2 are the addition of a %{name}.desktop and %{name}_icon.png file and the removal of the commented out line following the guidelines. This changes the one FAIL item above into an OK.

ACCEPT
Comment 4 Hans Ulrich Niedermann 2009-12-11 17:07:08 EST
(In reply to comment #3)
> The only changes in usbview-1.1-2 are the addition of a %{name}.desktop and
> %{name}_icon.png file and the removal of the commented out line following the
> guidelines. This changes the one FAIL item above into an OK.
> 
> ACCEPT  

Uhm... before checking in, please change the permissions of usbview_icon.png from 0755 to 0644. Icons do not need to be executable.
Comment 6 Hans Ulrich Niedermann 2009-12-11 17:53:15 EST
Perfect.
Comment 7 Itamar Reis Peixoto 2009-12-11 18:02:08 EST
New Package CVS Request
=======================
Package Name: usbview
Short Description: USB topology and device viewer
Owners: itamarjp
Branches: F-11 F-12 EL-5
InitialCC:
Comment 8 Kevin Fenzi 2009-12-14 12:40:06 EST
cvs done.
Comment 9 Fedora Update System 2009-12-15 21:46:49 EST
usbview-1.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/usbview-1.1-3.fc12
Comment 10 Fedora Update System 2009-12-15 21:47:04 EST
usbview-1.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/usbview-1.1-3.fc11
Comment 11 Fedora Update System 2009-12-17 23:20:49 EST
usbview-1.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update usbview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13277
Comment 12 Fedora Update System 2009-12-17 23:28:41 EST
usbview-1.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update usbview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13316
Comment 13 Fedora Update System 2010-01-07 16:50:24 EST
usbview-1.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-01-07 16:53:30 EST
usbview-1.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.